> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swytchpay.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar saque



## OpenAPI

````yaml /reference/openapi.json get /v1/payouts/{id}
openapi: 3.1.0
info:
  title: SwytchPay API
  version: 0.1.0
  description: 'Gateway de pagamentos multi-provedor (PIX). Auth: x-api-key + x-api-secret.'
servers:
  - url: https://api.swytchpay.app
security: []
paths:
  /v1/payouts/{id}:
    get:
      tags:
        - Payouts
      summary: Consultar saque
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Saque
          content:
            application/json:
              schema:
                type: object
                properties:
                  payout:
                    $ref: '#/components/schemas/Payout'
                required:
                  - payout
components:
  schemas:
    Payout:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - payout
        external_id:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - PROCESSING
            - PAID
            - FAILED
            - REJECTED
        amount_cents:
          type: integer
        fee_cents:
          type: integer
        pix_key:
          type: string
        pix_key_type:
          type: string
          enum:
            - cpf
            - cnpj
            - email
            - phone
            - random
        recipient:
          type: object
          properties:
            name:
              type: string
            document:
              type: string
          required:
            - name
            - document
          additionalProperties:
            nullable: true
        kind:
          type: string
          enum:
            - PLAYER_PAYOUT
            - SETTLEMENT
        e2e_id:
          type: string
          nullable: true
        failure_reason:
          type: string
          nullable: true
        failure_message:
          type: string
          nullable: true
        environment:
          type: string
          enum:
            - live
            - test
      required:
        - id
        - object
        - external_id
        - status
        - amount_cents
        - fee_cents
        - pix_key
        - pix_key_type
        - recipient
        - kind
        - e2e_id
        - failure_reason
        - failure_message
        - environment
      additionalProperties:
        nullable: true

````